<!DOCTYPE html>
<html lang="en" ng-app="lt17Peserta">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Penawaran Peserta">
    <title>&{'lelang_lt.penawaran_peserta'}</title>
    <link rel="stylesheet" href="#{assets '/angular/bootstrap.min.css'/}" type="text/css" media="screen" />
    <link rel="stylesheet" href="#{assets '/angular/handsontable.min.css'/}" type="text/css">
    <link rel="stylesheet" href="#{assets '/angular/style.css'/}" type="text/css"/>
</head>
<body>

<div class="navbar navbar-default navbar-fixed-top" role="navigation" ng-controller="UserCtrl">
    <div class="container-fluid">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="#">&{'lelang_lt.apendo_peserta2'}</a>
        </div>
        <div class="collapse navbar-collapse">
            <ul class="nav navbar-nav navbar-right">
                <li><a id="user" href="#" data-container=".navbar-fixed-top" data-toggle="popover" data-placement="bottom">${namaLpse}</a></li>
                <li><a href="" ng-click="logout()">Logout</a></li>
            </ul>
        </div>
    </div>
</div>

<div class="container-fluid">
    <ul id="tabs" class="nav nav-tabs">
        <li>
          <a href="#adm" data-toggle="tab">&{'lelang_lt.administrasi2'}</a>
        </li>
        <li>
          <a href="#teknis" data-toggle="tab">&{'lelang_lt.penawaran_teknis'}</a>
        </li>
        <li>
          <a href="#harga" data-toggle="tab">&{'lelang_lt.penawaran_harga2'}</a>
        </li>
        <li>
          <a href="#kirim" data-toggle="tab">&{'lelang_lt.enkrip_kirim'}</a>
        </li>
    </ul>

    <div class="tab-content">
        <div class="tab-pane" id="adm" ng-controller="AdmCtrl">
          <br />
          <table class="table table-condensed">
            <thead>
            	<th>&nbsp;</th>
            	<th>&nbsp;</th>
            </thead>
            <tbody>
              <tr><td width="200"><b>&{'lelang_lt.kd_tender'}</b></td><td ng-bind="adm.lls_id"></td></tr>
              <tr><td><b>&{'lelang_lt.nama_paket'}</b></td><td ><b><span ng-bind="adm.pkt_nama"></span></b></td></tr>
              <tr><td><b>&{'lelang_lt.instansi'}</b></td><td ng-bind="adm.instansi"></td></tr>
              <tr><td><b>&{'lelang_lt.nilai_hps'}</b></td><td ng-bind="adm.hps | currency:'Rp '"></td></tr> 
              <tr><td><b>LPSE</b></td><td ng-bind="adm.lpse"></td></tr> 
              <tr><td><b>&{'lelang_lt.masa_penawaran'}</b></td>
              	<td>
              		<div class="input-group input-group-sm">
                    	<input type="text" class="form-control" ng-model="adm.berlaku" placeholder="adm.berlaku" style="text-align: right; width:50px;" />
                    	<span>&nbsp;&{'lelang_lt.hari_kalender2'}</span>
                 	</div>
              	</td>
              </tr> 
            </tbody>
          </table>
          <button class="btn btn-default" ng-disabled="!dirty" ng-click="save()">&{'lelang_lt.simpan'}</button>
        </div>

        <div class="tab-pane" id="teknis" ng-controller="TeknisCtrl">
          <br />         
          <table class="table table-condensed">
            <thead>
              <th>#</th>
              <th>&{'lelang_lt.nama'}</th>
              <th>&{'lelang_lt.berkas_berkas'}</th>
              <th>&nbsp;</th>
            </thead>
            <tbody>
              <tr ng-repeat="teknis in teknisList">
                <td ng-bind="$index + 1">&{'lelang_lt.index'}</td>
                <td ng-bind="teknis.ckmNama">&{'lelang_lt.nama2'}</td>
                <td>
                	<span ng-hide="teknis.files.length > 0">&{'lelang_lt.blm_ada_berkas'}</span>
					<ol>
						<li ng-repeat="file in teknis.files track by $index"><a href="" ng-click="open(file.name)" ng-bind="file.name"></a>
						&nbsp;<button class="btn btn-default btn-xs" ng-click="remove(teknis, $index)">&{'lelang_lt.hapus'}</button>
					</ol>
				</td>
                <td><a class="btn btn-default btn-sm" ng-click="select($index)" ng-bind="teknis.files.length > 0 ? 'Tambah' : 'Pilih'"></a></td>
               </tr>
            </tbody>
          </table>      
          <button ng-disabled="!dirty" class="btn btn-default" ng-click="save()">&{'lelang_lt.simpan'}</button>
        </div> 

        <div class="tab-pane" id="harga" ng-controller="HargaCtrl">
          <br />
          <table class="table table-condensed">
            <thead>
            	<th>&nbsp;</th>
            	<th>&nbsp;</th>
            </thead>
             <tbody>
              <tr><td width="200"><b>&{'lelang_lt.jumlah'}</b></td><td ng-bind="subtotal | currency:'Rp. '"></td></tr>
              <tr><td><b>PPN</b></td><td ng-bind="ppn | currency:'Rp. '"></td></tr>
              <tr><td><b>Total</b></td><td ng-bind="total | currency:'Rp. '"></td></tr>
             </tbody>
          </table>

          <div id="pricing-detail"></div>
          <br />
          <button ng-disabled="!dirty" class="btn btn-default" ng-click="save()">&{'lelang_lt.simpan'}</button>
      	</div>
      	
      	<div class="tab-pane" id="kirim" ng-controller="KirimCtrl">
          <br />
          <table class="table table-condensed">
            <thead>
            	<th>&nbsp;</th>
            	<th>&nbsp;</th>
            </thead>
             <tbody>
              <tr><td colspan="3"><b>&{'lelang_lt.status_penawaran'}</b></td></tr>
              <tr><td>&nbsp;</td><td width="150"><b>&{'lelang_lt.administrasi'}</b></td><td ng-bind="admSimpan"></td></tr>
              <tr><td>&nbsp;</td><td><b>&{'lelang_lt.penawaran_teknis2'}</b></td><td ng-bind="teknisSimpan"></td></tr>
              <tr><td>&nbsp;</td><td><b>&{'lelang_lt.penawaran_harga'}</b></td><td ng-bind="hargaSimpan"></td></tr>
              <tr><td width="50"><b>&{'lelang_lt.info'}</b></td><td colspan="2"></td></tr>
              <tr><td>&nbsp;</td><td ng-bind="info" colspan="2"></td></tr>
              <tr ng-show="sending"><td>&nbsp;</td><td colspan="2">
              	<span ng-repeat="progress in progresses">
					<span ng-bind="progress.name | envelopeName"></span>:&nbsp;<span ng-bind="progress.percent | percentName" ng-hide="progress.done"></span>&nbsp;<span class="label label-info" ng-show="progress.done && !progress.error">&{'lelang_lt.selesai'}</span>&nbsp;<span class="label label-danger" ng-show="progress.error">&{'lelang_lt.tdk_berhasil'}</span><br />
				</span>
                </td></tr>
                </tbody>
            </table>

		  <div>
			<button ng-disabled="!ready" class="btn btn-default" ng-click="encrypt()">&{'lelang_lt.enkripsi'}</button>
			<button ng-disabled="!encrypted" class="btn btn-default" ng-click="upload()">&{'lelang_lt.kirim'}</button>
		  </div>
		  
      	</div>
      	
    </div>

    <script type="text/javascript">

    	var user = {
    		psr_id : "${peserta?.psr_id}",
            name : "${peserta?.rekanan?.rkn_nama?.escapeJavaScript().raw()}",
            username : "${peserta?.rekanan?.rkn_namauser?.escapeJavaScript().raw()}",
            address : "${peserta?.rekanan?.rkn_alamat?.escapeJavaScript().raw()}",
            email : "${peserta?.rekanan?.rkn_email?.escapeJavaScript().raw()}"
    	}

    	var adm = {
			lls_id : "${lelang?.lls_id}",
			pkt_nama : "${lelang?.paket?.pkt_nama?.escapeJavaScript().raw()}",
			lpse : "${namaLpse?.escapeJavaScript().raw()}",
			instansi : "${lelang?.paket?.satuan_kerja?.instansi?.nama?.escapeJavaScript().raw()}",
			hps : "${lelang?.paket?.pkt_hps}",
			berlaku : 30
    	}

    	var teknisList = [
			#{list items:checklists, as:'item'}
				#{if item?.chk_nama!=null && item?.chk_nama!=''}
					{ckmNama:"${item?.checklist_master?.ckm_nama?.escapeJavaScript().raw()}" + ' (' + "${item?.chk_nama?.escapeJavaScript().raw()}" + ')', files:[]},
				#{/if}
				#{else}
					{ckmNama:"${item?.checklist_master?.ckm_nama?.escapeJavaScript().raw()}", files:[]},
				#{/else}
			#{/list}
		]

      	var detailHarga = [
			#{set count:rincianList.size() /}
			#{list items:rincianList, as:'item'}
				{
	                "name": "${item?.item?.escapeJavaScript().raw()}",
	                "unit1": "${item?.unit?.escapeJavaScript().raw()}",
	                "volume1": "${item?.vol}",
	                "unit2": "${item?.unit2?.escapeJavaScript().raw()}",
	                "volume2": "${item?.vol2}",
	                "price": "",
	                "priceTotal":"",
	                "remark": "${item?.keterangan?.escapeJavaScript().raw()}",
	                "id": "${item_index}"
	       		 },
	        #{/list}
	  	]

    	var token = '${access_token}';
    	var uploadUrl = '${uploadUrl}';
    	var pubKey = ["${keyAll}", "${keyAdmTeknis}", "${keyHarga}"];

    </script>
    <!-- deps -->
    <script type="text/javascript" src="#{assets '/angular/jquery.min.js'/}"></script>
    <script type="text/javascript" src="#{assets '/angular/bootstrap.min.js'/}"></script>
    <script type="text/javascript" src="#{assets '/angular/hansontable.min.js'/}"></script>
    <script type="text/javascript" src="#{assets '/angular/angular.min.js'/}"></script>
    <script type="text/javascript" src="#{assets '/angular/safe-apply.js'/}"></script>
    <script type="text/javascript" src="#{assets '/lt17/pesertaSatuTahap.js'/}"></script>
</body>
</html>